Permalink
Browse files

mupen64plus - use -DUSE_SYSTEM_LIBS=On for all platforms for GLideN64

 * hopefully fixes linking against wrong libs on x86 (32bit).
 * thanks to mitu for the heads up
  • Loading branch information...
joolswills committed Jul 1, 2018
1 parent 3858f9d commit 111043b65924504dab415a32ebe38877e0f1ed8f
Showing with 1 addition and 2 deletions.
  1. +1 −2 scriptmodules/emulators/mupen64plus.sh
@@ -84,9 +84,8 @@ function build_mupen64plus() {
# build GLideN64
"$md_build/GLideN64/src/getRevision.sh"
pushd "$md_build/GLideN64/projects/cmake"
params=("-DMUPENPLUSAPI=On" "-DVEC4_OPT=On")
params=("-DMUPENPLUSAPI=On" "-DVEC4_OPT=On" "-DUSE_SYSTEM_LIBS=On")
isPlatform "neon" && params+=("-DNEON_OPT=On")
isPlatform "rpi" && params+=("-DUSE_SYSTEM_LIBS=On")
if isPlatform "rpi3"; then
params+=("-DCRC_ARMV8=On")
else

0 comments on commit 111043b

Please sign in to comment.